release.sh in killbill-payment-test-1.6.3 vs release.sh in killbill-payment-test-1.7.0
- old
+ new
@@ -1,7 +1,20 @@
set -e
+if [ "GNU" != "$(tar --help | grep GNU | head -1 | awk '{print $1}')" ]; then
+ echo "Unable to release: make sure to use GNU tar"
+ exit 1
+fi
+
+if $(ruby -e'require "java"'); then
+ # Good
+ echo "Detected JRuby"
+else
+ echo "Unable to release: make sure to use JRuby"
+ exit 1
+fi
+
VERSION=`grep -E '<version>([0-9]+\.[0-9]+\.[0-9]+)</version>' pom.xml | sed 's/[\t \n]*<version>\(.*\)<\/version>[\t \n]*/\1/'`
if [ "$VERSION" != "$(cat $PWD/VERSION)" ]; then
echo "Unable to release: make sure the versions in pom.xml and VERSION match"
exit 1
fi
@@ -16,10 +29,10 @@
rake killbill:package
ARTIFACT="$PWD/pkg/killbill-payment-test-$VERSION.tar.gz"
echo "Pushing $ARTIFACT to Maven Central"
mvn gpg:sign-and-deploy-file \
- -DgroupId=com.ning.killbill.ruby \
+ -DgroupId=org.kill-bill.billing.plugin.ruby \
-DartifactId=payment-test-plugin \
-Dversion=$VERSION \
-Dpackaging=tar.gz \
-DrepositoryId=ossrh-releases \
-Durl=https://oss.sonatype.org/service/local/staging/deploy/maven2/ \